PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Functions
PDL API Reference » SysClk (System Clock) » Backup Domain Clock

## General Description

## Functions
void | Cy_SysClk_ClkBakSetSource (cy_en_clkbak_in_sources_t source)
| Sets the source for the backup domain clock (clk_bak). More...
cy_en_clkbak_in_sources_t | Cy_SysClk_ClkBakGetSource (void)
| Reports the source for the backup domain clock (clk_bak). More...

## Function Documentation

## ◆ Cy_SysClk_ClkBakSetSource()

void Cy_SysClk_ClkBakSetSource | ( | cy_en_clkbak_in_sources_t | source | ) |

Sets the source for the backup domain clock (clk_bak).

Parameters

  source | cy_en_clkbak_in_sources_t

Note
  clkLf is not available in all power modes. For this reason, WCO is the preferred source. If the WCO is routed through the clkLf multiplexer (see Cy_SysClk_ClkLfSetSource), select WCO directly - do not select clkLf.

Function Usage
  /* Scenario: Backup clock source needs to be updated to the WCO. */
  if(CY_SYSCLK_BAK_IN_WCO != Cy_SysClk_ClkBakGetSource())
  {
  Cy_SysClk_ClkBakSetSource(CY_SYSCLK_BAK_IN_WCO);
  }
  CY_SYSCLK_BAK_IN_WCO
  @ CY_SYSCLK_BAK_IN_WCO
  Backup domain clock input is WCO.
  Definition: cy_sysclk.h:4226
  Cy_SysClk_ClkBakGetSource
  cy_en_clkbak_in_sources_t Cy_SysClk_ClkBakGetSource(void)
  Reports the source for the backup domain clock (clk_bak).
  Definition: cy_sysclk_v2.c:2363
  Cy_SysClk_ClkBakSetSource
  void Cy_SysClk_ClkBakSetSource(cy_en_clkbak_in_sources_t source)
  Sets the source for the backup domain clock (clk_bak).
  Definition: cy_sysclk_v2.c:2351

## ◆ Cy_SysClk_ClkBakGetSource()

cy_en_clkbak_in_sources_t Cy_SysClk_ClkBakGetSource | ( | void |  | ) |

Reports the source for the backup domain clock (clk_bak).

Returns
  cy_en_clkbak_in_sources_t

Function Usage
  /* Scenario: Backup clock source needs to be updated to the WCO. */
  if(CY_SYSCLK_BAK_IN_WCO != Cy_SysClk_ClkBakGetSource())
  {
  Cy_SysClk_ClkBakSetSource(CY_SYSCLK_BAK_IN_WCO);
  }